import numpy as np

def genRGBMask(imgSize):

  maskR = np.zeros(imgSize)
  maskG = np.zeros(imgSize)
  maskB = np.zeros(imgSize)

  # Build Red channel mask
  Xr = list(range(0,imgSize[1], 2))
  Yr = list(range(0,imgSize[0], 2))
  numCols = len(Xr)
  numRows = len(Yr)
  Xr = np.tile(Xr, numRows)
  Yr = np.repeat(Yr, numCols)
  maskR[Yr, Xr] = 1

  # Build Blue channel mask
  Xb = list(range(1,imgSize[1], 2))
  Yb = list(range(1,imgSize[0], 2))
  numCols = len(Xb)
  numRows = len(Yb)
  Xb = np.tile(Xb, numRows)
  Yb = np.repeat(Yb, numCols)
  maskB[Yb, Xb] = 1

  # Build Green channel mask
  Xgr = list(range(1,imgSize[1], 2))
  Ygr = list(range(0,imgSize[0], 2))
  numCols = len(Xgr)
  numRows = len(Ygr)
  Xgr = np.tile(Xgr, numRows)
  Ygr = np.repeat(Ygr, numCols)

  Xgb = list(range(0,imgSize[1], 2))
  Ygb = list(range(1,imgSize[0], 2))
  numCols = len(Xgb)
  numRows = len(Ygb)
  Xgb = np.tile(Xgb, numRows)
  Ygb = np.repeat(Ygb, numCols)

  maskG[Ygr, Xgr] = 1 # GR
  maskG[Ygb, Xgb] = 1 # GB

  return maskR, maskG, maskB